Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AbstractAFPPainter

    java.lang.Object
      org.apache.fop.afp.AbstractAFPPainter

Direct Known Subclasses:
  AFPBorderPainter, AFPDitheredRectanglePainter, AFPRectanglePainter

    public abstract class AbstractAFPPainter

extends java.lang.Object

A base AFP painter

Field Summary
`protected DataStream` | `dataStream` data stream
`protected static org.apache.commons.logging.Log` | `log` Static logging instance
`protected AFPPaintingState` | `paintingState` painting state

Constructor Summary
`AbstractAFPPainter(AFPPaintingState paintingState, DataStream dataStream)` Main constructor

Method Summary
`abstract void` | `paint(PaintingInfo paintInfo)` Paints the painting item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  Static logging instance

### dataStream

    protected final DataStream dataStream

  data stream

### paintingState

    protected final AFPPaintingState paintingState

  painting state

Constructor Detail

### AbstractAFPPainter

    public AbstractAFPPainter(AFPPaintingState paintingState,
                              DataStream dataStream)

  Main constructor

  Parameters:
    `paintingState` - the AFP painting state
    `dataStream` - the AFP Datastream

Method Detail

### paint

    public abstract void paint(PaintingInfo paintInfo)
                        throws java.io.IOException

  Paints the painting item

  Parameters:
    `paintInfo` - the painting information
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.